cdac.medinfo.sdk.hl7282.baselibs.segments

## Class CNS

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.CNS

- All Implemented Interfaces:
    ISegment

      public class CNS
      extends Segment

  CNS - Clear Notification Segment

  The clear equipment notification segment contains the data necessary to allow the receiving equipment to clear any associated notifications.

  Represents an HL7 CNS message segment. This segment has the following fields:

  CNS-1: Starting Notification Reference Number (NM)Optional
  CNS-2: Ending Notification Reference Number (NM)Optional
  CNS-3: Starting Notification Date/Time (DTM)Optional
  CNS-4: Ending Notification Date/Time (DTM)Optional
  CNS-5: Starting Notification Code (CWE)Optional
  CNS-6: Ending Notification Code (CWE)Optional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CNS()` Constructs the CNS segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CWE` | `getEndingNotificationCode()` Retrieves the Ending Notification Code.
    `DTM` | `getEndingNotificationDate_Time()` Retrieves the Ending Notification Date Time.
    `NM` | `getEndingNotificationReferenceNumber()` Retrieves the Ending Notification Reference Number.
    `CWE` | `getStartingNotificationCode()` Retrieves the Starting Notification Code.
    `DTM` | `getStartingNotificationDate_Time()` Retrieves the Starting Notification Date Time.
    `NM` | `getStartingNotificationReferenceNumber()` Retrieves the Starting Notification Reference Number.
    `void` | `setEndingNotificationCode(CWE objEndingNotificationCode)` Set the Ending Notification Code.
    `void` | `setEndingNotificationCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Ending Notification Code.
    `void` | `setEndingNotificationDate_Time(DTM objEndingNotificationDate_Time)` Set the Ending Notification Date Time.
    `void` | `setEndingNotificationDate_Time(java.lang.String strDate)` Set the Ending Notification Date Time.
    `void` | `setEndingNotificationReferenceNumber(NM objEndingNotificationReferenceNumber)` Set the Ending Notification Reference Number.
    `void` | `setEndingNotificationReferenceNumber(java.lang.String strEndingNotificationReferenceNumber)` Set the Ending Notification Reference Number.
    `void` | `setStartingNotificationCode(CWE objStartingNotificationCode)` Set the Starting Notification Code.
    `void` | `setStartingNotificationCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Starting Notification Code.
    `void` | `setStartingNotificationDate_Time(DTM objStartingNotificationDate_Time)` Set the Starting Notification Date Time.
    `void` | `setStartingNotificationDate_Time(java.lang.String strDate)` Set the Starting Notification Date Time.
    `void` | `setStartingNotificationReferenceNumber(NM objStartingNotificationReferenceNumber)` Set the Starting Notification Reference Number.
    `void` | `setStartingNotificationReferenceNumber(java.lang.String strStartingNotificationReferenceNumber)` Set the Starting Notification Reference Number.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CNS

          public CNS()

      Constructs the CNS segment.

  - ### Method Detail

    - #### setStartingNotificationReferenceNumber

          public void setStartingNotificationReferenceNumber(java.lang.String strStartingNotificationReferenceNumber)

      Set the Starting Notification Reference Number. This field contains the starting notification reference number that is to be clear.
      Parameters:
        `strStartingNotificationReferenceNumber` - The quantity of the specified resource or resource type identified in either or both of the preceding two fields.

    - #### setStartingNotificationReferenceNumber

          public void setStartingNotificationReferenceNumber(NM objStartingNotificationReferenceNumber)

      Set the Starting Notification Reference Number. This field contains the starting notification reference number that is to be clear.
      Parameters:
        `objStartingNotificationReferenceNumber` - Object of Starting Notification Reference Number.

    - #### setEndingNotificationReferenceNumber

          public void setEndingNotificationReferenceNumber(java.lang.String strEndingNotificationReferenceNumber)

      Set the Ending Notification Reference Number. This field contains the ending notification reference number that is to be clear.
      Parameters:
        `strEndingNotificationReferenceNumber` - The quantity of the specified resource or resource type identified in either or both of the preceding two fields.

    - #### setEndingNotificationReferenceNumber

          public void setEndingNotificationReferenceNumber(NM objEndingNotificationReferenceNumber)

      Set the Ending Notification Reference Number. This field contains the ending notification reference number that is to be clear.
      Parameters:
        `objEndingNotificationReferenceNumber` - Object of Ending Notification Reference Number.

    - #### setStartingNotificationDate_Time

          public void setStartingNotificationDate_Time(java.lang.String strDate)

      Set the Starting Notification Date Time. This field specify the starting date/time of the notifications to be clear.
      Parameters:
        `strDate` - Specifies a point in time using a 24-hour clock notation.

    - #### setStartingNotificationDate_Time

          public void setStartingNotificationDate_Time(DTM objStartingNotificationDate_Time)

      Set the Starting Notification Date Time. This field specify the starting date/time of the notifications to be clear.
      Parameters:
        `objStartingNotificationDate_Time` - Object of Starting Notification Date Time.

    - #### setEndingNotificationDate_Time

          public void setEndingNotificationDate_Time(java.lang.String strDate)

      Set the Ending Notification Date Time. This field specify the ending date/time of the notifications to be clear.
      Parameters:
        `strDate` - Specifies a point in time using a 24-hour clock notation.

    - #### setEndingNotificationDate_Time

          public void setEndingNotificationDate_Time(DTM objEndingNotificationDate_Time)

      Set the Ending Notification Date Time. This field specify the ending date/time of the notifications to be clear.
      Parameters:
        `objEndingNotificationDate_Time` - Object of Ending Notification Date Time.

    - #### setStartingNotificationCode

          public void setStartingNotificationCode(java.lang.String strIdentifier,
                                         java.lang.String strText,
                                         java.lang.String strNameOfCodingSystem,
                                         java.lang.String strAlternateIdentifier,
                                         java.lang.String strAlternateText,
                                         java.lang.String strNameOfAlternateCodingSystem,
                                         java.lang.String strCodingSystemVersionID,
                                         java.lang.String strAlternateCodingSystemVersionId,
                                         java.lang.String strOriginalText,
                                         java.lang.String strSecondAlternateIdentifier,
                                         java.lang.String strSecondAlternateText,
                                         java.lang.String strNameofSecondAlternateCodingSystem,
                                         java.lang.String strSecondAlternateCodingSystemVersionID,
                                         java.lang.String strCodingSystemOID,
                                         java.lang.String strValueSetOID,
                                         java.lang.String strValueSetVersionID,
                                         java.lang.String strAlternateCodingSystemOID,
                                         java.lang.String strAlternateValueSetOID,
                                         java.lang.String strAlternateValueSetVersionID,
                                         java.lang.String strSecondAlternateCodingSystemOID,
                                         java.lang.String strSecondAlternateValueSetOID,
                                         java.lang.String strSecondAlternateValueSetVersionID)

      Set the Starting Notification Code. This field specify the starting notification code that is to be clear.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setStartingNotificationCode

          public void setStartingNotificationCode(CWE objStartingNotificationCode)

      Set the Starting Notification Code. This field specify the starting notification code that is to be clear.
      Parameters:
        `objStartingNotificationCode` - Object of Starting Notification Code.

    - #### setEndingNotificationCode

          public void setEndingNotificationCode(java.lang.String strIdentifier,
                                       java.lang.String strText,
                                       java.lang.String strNameOfCodingSystem,
                                       java.lang.String strAlternateIdentifier,
                                       java.lang.String strAlternateText,
                                       java.lang.String strNameOfAlternateCodingSystem,
                                       java.lang.String strCodingSystemVersionID,
                                       java.lang.String strAlternateCodingSystemVersionId,
                                       java.lang.String strOriginalText,
                                       java.lang.String strSecondAlternateIdentifier,
                                       java.lang.String strSecondAlternateText,
                                       java.lang.String strNameofSecondAlternateCodingSystem,
                                       java.lang.String strSecondAlternateCodingSystemVersionID,
                                       java.lang.String strCodingSystemOID,
                                       java.lang.String strValueSetOID,
                                       java.lang.String strValueSetVersionID,
                                       java.lang.String strAlternateCodingSystemOID,
                                       java.lang.String strAlternateValueSetOID,
                                       java.lang.String strAlternateValueSetVersionID,
                                       java.lang.String strSecondAlternateCodingSystemOID,
                                       java.lang.String strSecondAlternateValueSetOID,
                                       java.lang.String strSecondAlternateValueSetVersionID)

      Set the Ending Notification Code.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setEndingNotificationCode

          public void setEndingNotificationCode(CWE objEndingNotificationCode)

      Set the Ending Notification Code.
      Parameters:
        `objEndingNotificationCode` - Object of Ending Notification Code.

    - #### getEndingNotificationCode

          public CWE getEndingNotificationCode()

      Retrieves the Ending Notification Code.
      Returns:
        CWE - endingNotificationCode

    - #### getEndingNotificationDate_Time

          public DTM getEndingNotificationDate_Time()

      Retrieves the Ending Notification Date Time. This field specify the ending date/time of the notifications to be clear.
      Returns:
        DTM - endingNotificationDate_Time

    - #### getEndingNotificationReferenceNumber

          public NM getEndingNotificationReferenceNumber()

      Retrieves the Ending Notification Reference Number. This field contains the ending notification reference number that is to be clear.
      Returns:
        String - endingNotificationReferenceNumber

    - #### getStartingNotificationCode

          public CWE getStartingNotificationCode()

      Retrieves the Starting Notification Code. This field specify the starting notification code that is to be clear.
      Returns:
        CWE - startingNotificationCode

    - #### getStartingNotificationDate_Time

          public DTM getStartingNotificationDate_Time()

      Retrieves the Starting Notification Date Time. This field specify the starting date/time of the notifications to be clear.
      Returns:
        DTM - startingNotificationDate_Time

    - #### getStartingNotificationReferenceNumber

          public NM getStartingNotificationReferenceNumber()

      Retrieves the Starting Notification Reference Number. This field contains the starting notification reference number that is to be clear.
      Returns:
        String - startingNotificationReferenceNumber

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation checks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Thrown when Segment Validation Fails.